# appender.h File Reference

`#include <log4cplus/config.h>`
`#include <log4cplus/layout.h>`
`#include <log4cplus/loglevel.h>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/logloguser.h>`
`#include <log4cplus/helpers/pointer.h>`
`#include <log4cplus/helpers/property.h>`
`#include <log4cplus/spi/filter.h>`
`#include <memory>`

Include dependency graph for appender.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus

## Detailed Description

Definition in file appender.h.